<h1 mat-dialog-title>New Player</h1>
<mat-dialog-content>
  <mat-form-field appearance="fill" class="formInput">
    <mat-label>Name</mat-label>
    <input matInput [formControl]="nameControl">
    <mat-hint>Enter name</mat-hint>
    <mat-error *ngIf="nameControl.invalid">You must enter a location name.</mat-error>
  </mat-form-field>
  <mat-form-field *ngIf="events.length > 0" appearance="fill" class="formInput">
    <mat-label>Select Event</mat-label>
    <mat-select [formControl]="selectFormControl">
      <mat-option></mat-option>
      <mat-option *ngFor="let event of events" [value]="event">{{event.title}}</mat-option>
    </mat-select>
    <mat-error *ngIf="selectFormControl.invalid">You must select an event.</mat-error>
  </mat-form-field>
  <mat-form-field *ngIf="teams.length > 0" appearance="fill">
    <mat-label>Select Team</mat-label>
    <mat-select [formControl]="selectFormControl">
      <mat-option></mat-option>
      <mat-option *ngFor="let team of teams" [value]="team">{{team.fullName}}</mat-option>
    </mat-select>
    <mat-error *ngIf="selectFormControl.invalid">You must select a team.</mat-error>
  </mat-form-field>

  <section class="input-section">
    <mat-checkbox [(ngModel)]="enabled">Enabled</mat-checkbox>
  </section>
</mat-dialog-content>
<mat-dialog-actions align="end">
  <button mat-button (click)="onCancelClick()">CANCEL</button>
  <button mat-button color="primary" (click)="onSubmitClick()" type="submit">CREATE</button>
</mat-dialog-actions>
